Skip to content

Create a company note

Request

You can add a note to a single company.

Security
bearerAuth
Path
company_idstringrequired

The unique identifier for the company which is given by Intercom

Example:5f4d3c1c-7b1b-4d7d-a97e-6095715c6632
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/json
bodystringrequired

The text of the note.

Example:"New note"
admin_idstring

The unique identifier of the admin creating the note. If not provided, defaults to the admin associated with the access token.

Example:"991267583"
curl -i -X POST \
  https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632/notes \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "body": "Hello",
    "admin_id": "991267583"
  }'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value note.

Example:"note"
idstring

The id of the note.

Example:"17495962"
created_atinteger, (timestamp)

The time the note was created.

Example:1674589321
contactobject or null

Represents the contact that the note was created about.

companyobject or null

Represents the company that the note was created about.

authorobject or null(Admin)

Optional. Represents the Admin that created the note.

bodystring

The body text of the note.

Example:"<p>Text for the note.</p>"
Response
{ "type": "note", "id": "31", "created_at": 1734537390, "company": { "type": "company", "id": "5f4d3c1c-7b1b-4d7d-a97e-6095715c6632" }, "author": { "type": "admin", "id": "991267583", "name": "Ciaran124 Lee", "email": "admin124@email.com", "away_mode_enabled": false, "away_mode_reassign": false }, "body": "<p>Hello</p>" }